PooledParallelSenderMBean (Apache Tomcat 11.0.23 API Documentation)
Description: declaration: package: org.apache.catalina.tribes.transport.nio, interface: PooledParallelSenderMBean

# Interface PooledParallelSenderMBean

All Known Implementing Classes:
  `PooledParallelSender`

public interface PooledParallelSenderMBean
MBean interface for monitoring a PooledParallelSender.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getDirectBuffer()`
  Returns whether direct buffers are used.
  `int`
  `getInPoolSize()`
  Returns the number of senders currently available in the pool.
  `int`
  `getInUsePoolSize()`
  Returns the number of senders currently in use.
  `int`
  `getKeepAliveCount()`
  Returns the number of keep-alive messages before a connection check.
  `long`
  `getKeepAliveTime()`
  Returns the keep-alive interval in milliseconds.
  `int`
  `getMaxRetryAttempts()`
  Returns the maximum number of retry attempts.
  `long`
  `getMaxWait()`
  Returns the maximum wait time in milliseconds for a sender from the pool.
  `boolean`
  `getOoBInline()`
  Returns whether out-of-band data is processed inline.
  `int`
  `getPoolSize()`
  Returns the size of the sender pool.
  `int`
  `getRxBufSize()`
  Returns the receive buffer size.
  `boolean`
  `getSoKeepAlive()`
  Returns whether SO_KEEPALIVE is enabled.
  `boolean`
  `getSoLingerOn()`
  Returns whether SO_LINGER is enabled.
  `int`
  `getSoLingerTime()`
  Returns the SO_LINGER timeout value.
  `boolean`
  `getSoReuseAddress()`
  Returns whether SO_REUSEADDR is enabled.
  `int`
  `getSoTrafficClass()`
  Returns the IP traffic class value.
  `boolean`
  `getTcpNoDelay()`
  Returns whether TCP_NODELAY is enabled.
  `boolean`
  `getThrowOnFailedAck()`
  Returns whether an exception is thrown on failed acknowledgement.
  `long`
  `getTimeout()`
  Returns the socket timeout in milliseconds.
  `int`
  `getTxBufSize()`
  Returns the transmit buffer size.
  `int`
  `getUdpRxBufSize()`
  Returns the UDP receive buffer size.
  `int`
  `getUdpTxBufSize()`
  Returns the UDP transmit buffer size.
  `boolean`
  `isConnected()`
  Returns whether the sender is currently connected.

- ## Method Details

  - ### getRxBufSize

    int getRxBufSize()
    Returns the receive buffer size.
    Returns:
      the receive buffer size

  - ### getTxBufSize

    int getTxBufSize()
    Returns the transmit buffer size.
    Returns:
      the transmit buffer size

  - ### getUdpRxBufSize

    int getUdpRxBufSize()
    Returns the UDP receive buffer size.
    Returns:
      the UDP receive buffer size

  - ### getUdpTxBufSize

    int getUdpTxBufSize()
    Returns the UDP transmit buffer size.
    Returns:
      the UDP transmit buffer size

  - ### getDirectBuffer

    boolean getDirectBuffer()
    Returns whether direct buffers are used.
    Returns:
      true if direct buffers are used

  - ### getKeepAliveCount

    int getKeepAliveCount()
    Returns the number of keep-alive messages before a connection check.
    Returns:
      the keep-alive count

  - ### getKeepAliveTime

    long getKeepAliveTime()
    Returns the keep-alive interval in milliseconds.
    Returns:
      the keep-alive time

  - ### getTimeout

    long getTimeout()
    Returns the socket timeout in milliseconds.
    Returns:
      the timeout

  - ### getMaxRetryAttempts

    int getMaxRetryAttempts()
    Returns the maximum number of retry attempts.
    Returns:
      the maximum retry attempts

  - ### getOoBInline

    boolean getOoBInline()
    Returns whether out-of-band data is processed inline.
    Returns:
      true if OOB data is processed inline

  - ### getSoKeepAlive

    boolean getSoKeepAlive()
    Returns whether SO_KEEPALIVE is enabled.
    Returns:
      true if SO_KEEPALIVE is enabled

  - ### getSoLingerOn

    boolean getSoLingerOn()
    Returns whether SO_LINGER is enabled.
    Returns:
      true if SO_LINGER is enabled

  - ### getSoLingerTime

    int getSoLingerTime()
    Returns the SO_LINGER timeout value.
    Returns:
      the SO_LINGER time

  - ### getSoReuseAddress

    boolean getSoReuseAddress()
    Returns whether SO_REUSEADDR is enabled.
    Returns:
      true if SO_REUSEADDR is enabled

  - ### getSoTrafficClass

    int getSoTrafficClass()
    Returns the IP traffic class value.
    Returns:
      the traffic class

  - ### getTcpNoDelay

    boolean getTcpNoDelay()
    Returns whether TCP_NODELAY is enabled.
    Returns:
      true if TCP_NODELAY is enabled

  - ### getThrowOnFailedAck

    boolean getThrowOnFailedAck()
    Returns whether an exception is thrown on failed acknowledgement.
    Returns:
      true if exceptions are thrown on failed ack

  - ### getPoolSize

    int getPoolSize()
    Returns the size of the sender pool.
    Returns:
      the pool size

  - ### getMaxWait

    long getMaxWait()
    Returns the maximum wait time in milliseconds for a sender from the pool.
    Returns:
      the maximum wait time

  - ### isConnected

    boolean isConnected()
    Returns whether the sender is currently connected.
    Returns:
      true if connected

  - ### getInPoolSize

    int getInPoolSize()
    Returns the number of senders currently available in the pool.
    Returns:
      the number of senders in the pool

  - ### getInUsePoolSize

    int getInUsePoolSize()
    Returns the number of senders currently in use.
    Returns:
      the number of senders in use